<?php

include 'conexao.php';
require('bcrypt.php');

$id = $_SESSION['ID_ADMIN'];
$senha = $_POST['senha_antiga'];

$nova_senha = $_POST['nova_senha'];
$nova_senha_2 = $_POST['nova_senha_2'];



$sql_consult = $sqli->query("SELECT * FROM usuarios WHERE id='".$_SESSION['ID_ADMIN']."'");
$row_consult = $sql_consult->fetch_assoc();


if (Bcrypt::check($senha, $row_consult['senha']) and $nova_senha === $nova_senha_2) {

    $senha_certa = Bcrypt::hash($nova_senha);

    $uper = $sqli->query("UPDATE usuarios SET senha='$senha_certa' WHERE id='$id'");

    session_destroy(); //pei!!! destruimos a sessão ;)
    session_unset(); //limpamos as variaveis globais das sessões

    echo "<script> alert('Senha alterada, faca seu login novamente!'); window.location.href='login.php';</script>";


}

else {

    echo "<script> alert('Preencha todos os dados corretamente'); window.location='senha.php'; </script>";

}



?>